---
title: DDoS Protection
url: https://docs.vultr.com/products/compute/instances/vx1-cloud-compute/features/ddos-protection
description: Enable DDoS protection on your Vultr VX1™ Cloud Compute instance using the Vultr Console or API for improved security and uptime.
publish_date: 2025-11-19T14:22:38.817448Z
last_updated: 2026-05-26T18:52:40.768211Z
---

# How to Enable DDoS Protection on a Vultr VX1™ Cloud Compute Instance

Distributed Denial of Service (DDoS) protection enables traffic monitoring and prevents potential DDoS attacks to an instance. It activates a set of tools that detect and block network flooding attempts, ensuring the instance remains active and operational.

Follow this guide to enable DDoS protection on a Vultr VX1™ Cloud Compute instance using the Vultr Console, or API.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Vultr VX1™ Cloud Compute instance to open its management page.
    1. Navigate to the **DDoS** tab.
    1. Click **Enable DDoS Protection**.
    1. Click **Enable DDoS Protection** in the confirmation prompt to enable DDoS protection on your instance.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note your target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PATCH` request to the [**Update Instance** endpoint](https://www.vultr.com/api/#tag/instances/operation/update-instance) to enable DDoS protection on the instance.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}" \
          -X PATCH \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "ddos_protection": true
          }'
        ```

        If successful, you receive a `200` HTTP status code response.